# NBTList
Date: 2018-12-06

com.massivecraft.factions.zcore.nbtapi

## Class NBTList

- java.lang.Object
- - com.massivecraft.factions.zcore.nbtapi.NBTList

    public class NBTList
    extends java.lang.Object

### Constructor Summary

Constructors
`protected` `NBTList(NBTCompound owner, java.lang.String name, NBTType type, java.lang.Object list)`

### Method Summary

All Methods Instance Methods Concrete Methods
`NBTListCompound` `addCompound()`
`void` `addString(java.lang.String s)`
`NBTListCompound` `getCompound(int id)`
`java.lang.String` `getString(int i)`
`NBTType` `getType()`
`void` `remove(int i)`
`protected void` `save()`
`void` `setString(int i, java.lang.String s)`
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NBTList

    protected NBTList(NBTCompound owner,
                      java.lang.String name,
                      NBTType type,
                      java.lang.Object list)

### Method Detail

#### save

    protected void save()

#### addCompound

    public NBTListCompound addCompound()

#### getCompound

    public NBTListCompound getCompound(int id)

#### getString

    public java.lang.String getString(int i)

#### addString

    public void addString(java.lang.String s)

#### setString

    public void setString(int i,
                          java.lang.String s)

#### remove

    public void remove(int i)

#### size

    public int size()

#### getType

    public NBTType getType()